"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-312/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329311da0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329311e40>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329311ee0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329311f80>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329312020>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7f23293120c0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329312160>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329312200>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f23293122a0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329312340>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7f23293123e0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329312480>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329312520>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7f23293125c0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329312660>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329312700>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7f23293127a0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329312840>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7f23293128e0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329312980>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329312a20>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329312ac0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329312b60>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329312c00>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329312ca0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329312d40>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329312de0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329312e80>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329312f20>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329312fc0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329313060>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329313100>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7f23293131a0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329313240>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7f23293132e0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329313380>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329313420>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7f23293134c0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329313560>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329313600>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f23293136a0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329313740>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7f23293137e0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329313880>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329313920>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7f23293139c0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329313a60>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329313b00>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329313ba0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329313c40>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329313ce0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329313d80>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329313e20>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329313ec0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329313f60>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329348040>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f23293480e0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329348180>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329348220>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f23293482c0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329348360>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329348400>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7f23293484a0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329348540>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7f23293485e0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329348680>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329348720>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7f23293487c0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329348860>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329348900>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7f23293489a0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329348a40>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329348ae0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329348b80>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329348c20>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329348cc0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329348d60>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329348e00>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329348ea0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329348f40>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329349080>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329348fe0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329349120>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7f23293491c0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7f2329349260>)]
name: str = 'fr_HOCCN'
